JmolInstance
Date: 2019-10-22

org.openscience.jmol.app.webexport

## Class JmolInstance

- java.lang.Object
- - org.openscience.jmol.app.webexport.JmolInstance

-     class JmolInstance
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `bgColor`
    `(package private) int` | `height`
    `(package private) java.lang.String` | `javaname`
    `(package private) java.lang.String` | `name`
    `(package private) java.lang.String` | `pictFile`
    `(package private) boolean` | `pictIsScratchFile`
    `(package private) java.lang.String` | `script`
    `(package private) boolean` | `spinOn`
    `(package private) JmolViewer` | `vwr`
    `(package private) javajs.util.BS` | `whichWidgets`
    `(package private) int` | `width`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `JmolInstance(JmolViewer vwr, java.lang.String name, int width, int height, int nWidgets)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `addWidget(int widgetID)`
    `(package private) boolean` | `delete()`
    `(package private) boolean` | `deleteWidget(int widgetID)`
    `static JmolInstance` | `getInstance(JmolViewer vwr, java.lang.String name, int width, int height, int widgets)`
    `(package private) boolean` | `movepict(java.lang.String dirpath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          java.lang.String name

    - #### javaname

          java.lang.String javaname

    - #### script

          java.lang.String script

    - #### width

          int width

    - #### height

          int height

    - #### bgColor

          int bgColor

    - #### spinOn

          boolean spinOn

    - #### pictFile

          java.lang.String pictFile

    - #### whichWidgets

          javajs.util.BS whichWidgets

    - #### pictIsScratchFile

          boolean pictIsScratchFile

    - #### vwr

          JmolViewer vwr

  - ### Constructor Detail

    - #### JmolInstance

          private JmolInstance(JmolViewer vwr,
                               java.lang.String name,
                               int width,
                               int height,
                               int nWidgets)

  - ### Method Detail

    - #### getInstance

          public static JmolInstance getInstance(JmolViewer vwr,
                                                 java.lang.String name,
                                                 int width,
                                                 int height,
                                                 int widgets)

    - #### movepict

          boolean movepict(java.lang.String dirpath)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### delete

          boolean delete()
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addWidget

          boolean addWidget(int widgetID)

    - #### deleteWidget

          boolean deleteWidget(int widgetID)